<?php

namespace Drupal\date_content\Entity;

use Drupal\Core\Entity\ContentEntityInterface;
use Drupal\Core\Entity\RevisionLogInterface;
use Drupal\Core\Entity\EntityChangedInterface;

/**
 * Provides an interface for defining DateContent entities.
 *
 * @ingroup date_content
 */
interface DateContentInterface extends ContentEntityInterface, RevisionLogInterface, EntityChangedInterface {

  /**
   * Add get/set methods for your configuration properties here.
   */

  /**
   * Gets the DateContent name.
   *
   * @return string
   *   Name of the DateContent.
   */
  // public function getName();

  /**
   * Sets the DateContent name.
   *
   * @param string $name
   *   The DateContent name.
   *
   * @return \Drupal\date_content\Entity\DateContentInterface
   *   The called DateContent entity.
   */
  // public function setName($name);

  /**
   * Gets the DateContent creation timestamp.
   *
   * @return int
   *   Creation timestamp of the DateContent.
   */
  // public function getCreatedTime();

  /**
   * Sets the DateContent creation timestamp.
   *
   * @param int $timestamp
   *   The DateContent creation timestamp.
   *
   * @return \Drupal\date_content\Entity\DateContentInterface
   *   The called DateContent entity.
   */
  // public function setCreatedTime($timestamp);

  /**
   * Gets the DateContent revision creation timestamp.
   *
   * @return int
   *   The UNIX timestamp of when this revision was created.
   */
  // public function getRevisionCreationTime();

  /**
   * Sets the DateContent revision creation timestamp.
   *
   * @param int $timestamp
   *   The UNIX timestamp of when this revision was created.
   *
   * @return \Drupal\date_content\Entity\DateContentInterface
   *   The called DateContent entity.
   */
  // public function setRevisionCreationTime($timestamp);

  /**
   * Gets the DateContent revision author.
   *
   * @return \Drupal\user\UserInterface
   *   The user entity for the revision author.
   */
  // public function getRevisionUser();

  /**
   * Sets the DateContent revision author.
   *
   * @param int $uid
   *   The user ID of the revision author.
   *
   * @return \Drupal\date_content\Entity\DateContentInterface
   *   The called DateContent entity.
   */
  // public function setRevisionUserId($uid);

}
